Subject: bug#13029: 24.3.50; coding system from .dir-locals.el doesn't work

From: Helmut Eller <[email-masked]>
Date: Thu, 29 Nov 2012 17:43:46 +0100

Specifying the coding system in a .dir-locals.el doesn't seem to have
the same effect as when adding a file local variable.  E.g.
I have this in .dir-locals.el:

  ((lisp-mode
    (coding . us-ascii-unix)))

and when opening a lisp file, C-h v buffer-file-coding-system shows
this:

  buffer-file-coding-system is a variable defined in `C source code'.
  Its value is undecided-unix

If I use a file local variable instead ;; -*- coding: us-ascii-unix -*-
C-h v buffer-file-coding-system shows this:

  buffer-file-coding-system is a variable defined in `C source code'.
  Its value is us-ascii-unix

This is the first time ever that I wanted to use directory local
variables.  So maybe I did something wrong.

In GNU Emacs 24.3.50.2 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2012-11-25 on ix
Bzr revision: 111007 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
System Description:	Debian GNU/Linux 6.0.4 (squeeze)

Configured using:
 `configure '--with-jpeg=no' '--with-gif=no' '--with-tiff=no''

Important settings:
  value of $LANG: en_US
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t

Major mode: Lisp

Minor modes in effect:
  slime-mode: t
  outline-minor-mode: t
  display-time-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t